Error de Git: el directory de rebase anterior .git / rebase-apply aún existe pero se ha proporcionado mbox

Estoy tratando de aplicar un parche, que tomé de http://www.winehq.org/pipermail/wine-devel/2014-May/104356.html . Lo copié en un editor de text y lo my.patch como my.patch (necesitaba corregir el correo electrónico, se había ofuscado).

Intenté aplicarlo con Git, pero recibo este error:

 sashoalm@sashoalm-VirtualBox:~/Desktop/wine-git$ git am --signoff <my.patch previous rebase directory /home/sashoalm/Desktop/wine-git/.git/rebase-apply still exists but mbox given. 

Este post de error críptico no me da ni idea de lo que está mal o lo que tengo que hacer para que funcione. ¿Qué significa este error? ¿Y cómo lo arreglo?

Ok, resultó que necesitaba eliminar el directory .git/rebase-apply . Funciona después de eso (o al less me da errores diferentes, diciendo que el correo electrónico está mal de nuevo). Todavía no tengo idea de qué significa realmente el error o por qué hubo un error.

Editar: Como sugieren los comentarios a continuación, git rebase --abort podría ser una mejor manera de solucionar el problema, pero no lo he probado.

 git am --abort 

funcionó para mí, pero git rebase --abort no lo hizo.

Lo que sucedió: intenté aplicar un parche pero había sido dañado (probablemente por la copy de Gmail pegando en el cuerpo ):

 git am bad.patch 

Y Git dijo:

 Applying: python: fix Linetable case to LineTable in docstrings and comments fatal: corrupt patch at line 56 Patch failed at 0001 python: fix Linetable case to LineTable in docstrings and comments The copy of the patch that failed is found in: /home/ciro/git/binutils-gdb/src/.git/rebase-apply/patch When you have resolved this problem, run "git am --continue". If you prefer to skip this patch, run "git am --skip" instead. To restre the original branch and stop patching, run "git am --abort". 

Observe cómo git da la solución: To restre the original branch and stop patching, run "git am --abort".

Luego, obviamente, ignoré el post y probé una versión fija de inmediato:

 git am good.patch 

y obtuve el error.